Suporte » Outros assuntos » Atualizar versão mySQL

  • tiicaa

    (@tiicaa)


    Olá pessoal,

    Como posso fazer para atualizar a versão do banco de dados do meu WordPress? O site foi feito na versão 5.6 eu o servidor que uso está na versão 5.7 sendo assim, não consigo acessar o site, pois aparece erro 404 e ao tentar entrar no /wp-admin aparece uma mensagem dizendo “Você não tem permissões”.

Visualizando 3 respostas - 1 até 3 (de um total de 3)
  • saudações @tiicaa,

    eu indicaria primeiramente pedir isso para sua hospedagem. pois isso envolve inserir comandos em terminal, é algo de programação.

    mas caso tenho acesso root em seu servidor e queira você mesma fazer isso, siga as instruções abaixo,

    https://dev.mysql.com/doc/refman/5.7/en/upgrading.html

    tem orientações tanto se seu servidor for Linux (mais comum) como se for Windows.

    boa sorte!

    Gassho, Ubuntu (“eu sou através do que nós somos”)

    tiicaa

    (@tiicaa)

    @ralden

    Você sempre me ajuda. Muito obrigada pela atenção.

    Mas dessa vez não consegui entender nada sobre aquele link, eu segui uma documentação própria do wamp – http://forum.wampserver.com/read.php?2,111797,124054

    Segui todos os passos mas ainda recebo a mensagem do prompt

    Sorry,
    
    In c:/wamp64/bin/mysql/mysql5.6.44/my.ini file,
     MySQL Server has not the same name as MySQL service: wampmysqld64
    
     The content of the file (about line 25) must be:
    
     # The MySQL server
     [wampmysqld64]
    • Esta resposta foi modificada 1 ano atrás por tiicaa.

    saudações @tiicaa,

    huuum, então é localhost. ai a coisa muda de figura, pensei que fosse webserver – onde dá para contar com suporte rs.

    outra coisa que agora que entendi é que seu problema é que você entende que o erro 404 vem do fato que o banco de dados de seu WP é de um mySQL 5.6, mas seu servidor usa mySQL 5.7.

    olha, não é minha praia. mas pelo que eu entendi pesquisando aqui, você deveria usar o comando mysql_upgrade para atualizar a versão do banco de dados. o tutorial abaixo fala sobre isso, ensina os comandos e explica que da forma que ele passa o comando o sistema busca incompatibilidades da versão anterior (5.6) para a atual (5.7) e já busca corrigir (fix) essas incompatibilidades,

    https://www.hivelocity.net/kb/using-mysql_upgrade-command/

    como está em localhost, pode seguir os procedimento usando o terminal.

    sobre seu erro, essa documentação do seu link é de 2013… eu indico evitar documentações com mais de 1 ano. a não ser que existam comentários atuais falando sobre os resultados, o que não é o caso do seu link. antes da sua postagem, o último comentário foi de 2014.

    o erro informa como deve corrigi-lo. você deve entrar no arquivo listado e na linha 25 efetuar a correção indicada. até porque ele usa must be, ou seja, isso não é uma escolha, é algo obrigatório.

    vi tutoriais que indicam que você deve deixar as duas versões do mySQL no seu servidor. acho que nisso está ok, pois você diz que tem a versão 5.7.x no seu servidor, mas o erro aponta para a versão 5.6.44. então acredito que é o caso de consertar esse fixo como indicado e não mexa mais nas configurações dessa versão.

    pois a atualização do seu banco de dados passa pelo comando mysql_upgrade.

    espero que eu tenha entendido corretamente dessa vez e essas informações possam ajudar a solucionar o problema.

    sendo que vi em alguns lugares que esse erro 404 podem não necessariamente ser devido o banco de dados. mas primeiro veja essa correção e atualização e quem sabe já não volta ao normal.

    por favor, nos informe se o erro 404 foi resolvido.

    Gassho, Ubuntu (“eu sou através do que nós somos”)

Visualizando 3 respostas - 1 até 3 (de um total de 3)
  • O tópico ‘Atualizar versão mySQL’ está fechado para novas respostas.